/**
 Problema cere să inversăm tot câte două cifre.
Ex:
x=abcdef => badcfe

  Rezolvarea se bazează pe algoritmii deja studiați
care prelucrează cifrele unui număr:
  - separarea cifrelor unui număr
  - formarea unui număr plecând de la cifre.

 Diferența față de schema clasică va consta în
faptul că, atunci când aflăm cifrele numărului,
la fiecare pas să scoatem tot câte două cifre
și apoi să formăm numărul de la dreapta la stânga
punând din nou câte două cifre la fiecare pas
(în ordine inversă)
Ex:
x=abcdef la primul pas al repetitivei scoatem
           cifrele f și apoi e.
    Imediat ce le-am scos, formăm numărul punându-le
    invers adică îtâi e și apoi în fața lui f:
      fe
la al doilea pas vor ieși d și c și le punem invers
adică întâi c și apoi d:
      dcfe
...
*/
#include <iostream>
using namespace std;

int main()
{
    int n,c1,c2,nr=0,p=1;
    cin>>n;
    do
    {
        c1=n%10;
        n/=10;
        c2=n%10;
        n/=10;
        ///formez nr lipind mai întâi c2 și apoi c1
        nr=nr+c2*p;
        p*=10;
        nr=nr+c1*p;
        p*=10;
    }while(n);
    cout<<nr;
    return 0;
}
