/**
Ex: n=1853247
formăm n1 cu cifrele pare: 824
formăm n2 cu cifrele impare: 1357
Răspuns: |824-1357| = 533
Rezolvare:
  aflăm cifrele lui n - ele ies de la dr. la stânga
și formăm, tot de la dreapta la stânga n1 cu cifrele
pare n2 cu cifrele impare.
  Dat fiind că formarea de la dreapta la stânga
mai folosește variabila în care reține puterea
lui 10 corespunzătoare cifrei pe care vrem s-o
adăugăm, fiecare n1 trebuie să aibă p-ul său
(avem p1 pt. numărul n1 și p2 pentru n2)
*/
#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,c,n1=0,p1=1,n2=0,p2=1;
    cin>>n;
    do
    {
        c=n%10;
        if(c%2==0)
        {
            n1=n1+c*p1;
            p1*=10;
        }
        else
            {
            n2=n2+c*p2;
            p2*=10;
        }
        n/=10;
    }while(n);
    cout<<abs(n1-n2);
    return 0;
}
